--
-- Kongregate HTML5 plugin for Corona SDK to use kongragate's api from corona
-- Version 0.2 (beta)
-- Plugin by: pentawire.altervista.org
--

local lib
local platform = system.getInfo("platform")

if platform == 'html5' then
 lib = require("kongregate_js")
else
 -- Wrapper for non web platforms
 local CoronaLibrary = require "CoronaLibrary"
 
 -- Create stub library for simulator
 lib = CoronaLibrary:new{ name = 'kongregate', publisherId = 'com.pentawire' }
 
 -- Alert for non-HTML5 platforms
 local function defaultFunction() print( "WARNING: The '" .. lib.name .. "' library is not available on this platform." ) return "" end

 lib.init        = defaultFunction
 lib.submitStat  = defaultFunction
 lib.getUsername = defaultFunction
 lib.getUserID   = defaultFunction
 lib.isGuest     = defaultFunction
end

return lib
